%define upstream_name    Dist-Zilla-Plugin-CustomLicense
%define upstream_version 1.0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Setting legal stuff of Dist::Zilla while keeping control
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.102.342
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.310.0
BuildRequires: perl(Moose)
BuildRequires: perl(Software::License) >= 0.103.0
BuildRequires: perl(Text::Template)
BuildArch:  noarch

%description
This module extends the Software::License manpage to give the possibility
of specifying all aspects related to a software license in a custom file.
This allows for setting custom dates, notices, etc. while still preserving
compatibility with all places where the Software::License manpage is used,
e.g. the Dist::Zilla manpage.

In this way, you should be able to customise some aspects of the licensing
messages that would otherwise be difficult to tinker, e.g. adding a note in
the notice, setting multiple years for the copyright notice or set multiple
authors and/or copyright holders.

The license details should be put inside a file that contains different
sections. Each section has the following format:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.0.2-11.mga10
+ Revision: 2198433
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.0.2-10.mga9
+ Revision: 1803204
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-9.mga8
+ Revision: 1494264
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-8.mga7
+ Revision: 1267519
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0.2-7.mga6
+ Revision: 1026193
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.2-6.mga6
+ Revision: 947796
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-5.mga5
+ Revision: 741353
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 684429
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-3.mga4
+ Revision: 510995
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 366119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.0.2-1.mga2
+ Revision: 106839
- update to 1.0.2

* Thu Apr 07 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 81744
- update to 1.0.1

* Sun Apr 03 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 80059
- update to 1.0.0

* Mon Mar 14 2011 jquelin <jquelin> 0.9.0-1.mga1
+ Revision: 71066
- imported package perl-Dist-Zilla-Plugin-CustomLicense


* Mon Mar 14 2011 cpan2dist 0.9.0-1mga
- initial mageia release, generated with cpan2dist
